import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid, referrerType, referrerId) {
	const data = {
		username,
		password,
		code,
		uuid,
		referrerType,
		referrerId
	}
	return request({
		url: '/login',
		headers: {
			isToken: false
		},
		method: 'post',
		data: data
	})
}

// 注册方法
export function register(data) {
	return request({
		url: '/register',
		headers: {
			isToken: false
		},
		method: 'post',
		data: data
	})
}

// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/getInfo',
		method: 'get'
	})
}

// 退出方法
export function logout() {
	return request({
		url: '/logout',
		method: 'post'
	})
}

// 获取验证码
export function getCodeImg() {
	return request({
		url: '/captchaImage',
		headers: {
			isToken: false
		},
		method: 'get',
		timeout: 20000
	})
}

// 志愿者/普通用户
export function userOrWorker(data) {
  return request({
    url: `/setUserOrWorker/${data.userType}`,  // 动态替换 userType
    method: 'put',
    data: data  // 如果需要额外参数，可以传递
  });
}